Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
Database..::.PutNoOverwrite Method (MultipleKeyDatabaseEntry, Transaction)
Database Class See Also Send Feedback

Store the key/data pairs in the database, only if the key does not already appear in the database.

Namespace: BerkeleyDB
Assembly: libdb_dotnet53 (in libdb_dotnet53.dll) Version: 5.3.28.0

# Syntax

C#
    public void PutNoOverwrite(
    	MultipleKeyDatabaseEntry key,
    	Transaction txn
    )

Visual Basic (Declaration)
    Public Sub PutNoOverwrite ( _
    	key As MultipleKeyDatabaseEntry, _
    	txn As Transaction _
    )

Visual C++
    public:
    void PutNoOverwrite(
    	MultipleKeyDatabaseEntry^ key,
    	Transaction^ txn
    )

#### Parameters

key
  Type: BerkeleyDB..::.MultipleKeyDatabaseEntry
  Key/data pairs to store in the database

txn
  Type: BerkeleyDB..::.Transaction
  If the operation is part of an application-specified transaction, txn is a Transaction object returned from BeginTransaction()()(); if the operation is part of a Berkeley DB Concurrent Data Store group, txn is a handle returned from BeginCDSGroup()()(); otherwise null.

# See Also

Database Class
PutNoOverwrite Overload
BerkeleyDB Namespace